---
updatedAt: 2025-06-02T20:55:46.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# getAgency

This method will respond with a list of active agencies, including contact details and other information. The request should allow retrieve Agencies by name or by agency email.

> 📘 Important
>
> This method cannot retrieve agency's information from other airlines.
>
> Agency names which includes ' and “ char will be NOT supported.
>
> If the same email set for more than one agency, all agencies will be retrieved.
>
> The search is done by exact name only.

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        agencies
      </td>

      <td style={{ textAlign: "left" }}>
        Element\*
      </td>

      <td style={{ textAlign: "left" }}>
        The following elements are within &lt;agencies&gt; which represents a &lt;agencies&gt; within &lt;agencies&gt;
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        agency
      </td>

      <td style={{ textAlign: "left" }}>
        Element\*
      </td>

      <td style={{ textAlign: "left" }}>
        The Element hold the name or an email of the agency
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response

This method will respond with a list of customers, including personal details and additional information.

| Parameter       | Type    | Description                                                                        |
| :-------------- | :------ | :--------------------------------------------------------------------------------- |
| Agencies        | Element | The following elements are within which represents a Agency within                 |
| Agency          | Element | The following parameters are within (the element Agency will be for each agency)   |
| agencyemail     | E-mail  | Agency’s email                                                                     |
| agencyname      | String  | The name of the agency                                                             |
| phonenumber     | String  | Phone number of the agency                                                         |
| addphonenumber  | String  | Additional phone number of the agency                                              |
| contact         | String  | Additional phone number of the agency                                              |
| addcontact      | String  | Contact of the agency                                                              |
| address1        | String  | Agency address                                                                     |
| address2        | String  | Agency additional address                                                          |
| zipcode         | String  | Agency zip code                                                                    |
| city            | String  | City of the agency                                                                 |
| bookinglimit    | Money   | Monetary booking limit                                                             |
| defaultcurrency | String  | Default currency of the agency                                                     |
| createdate      | Date    | YYYY/MM/DD date time of the system when creating the agency                        |
| agentgroup      | String  | The text string agency group                                                       |
| deposit         | element | The agency’s deposit balance, i.e. the amount available to use on future bookings. |
| currency        | String  | currency of the deposit                                                            |
| amount          | Money   | Monetary deposit amount in currency                                                |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getAgency": {
      "post": {
        "summary": "getAgency",
        "description": "This method will respond with a list of active agencies, including contact details and other information. The request should allow retrieve Agencies by name or by agency email.",
        "operationId": "getagency",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "agencies": [
                          {
                            "agency": "matan@aerocrs.com"
                          },
                          {
                            "agency": "Reproduce-afrijet"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"agencies\": [\n            {\n                \"agencyemail\": \"matan@aerocrs.com\",\n                \"agencyname\": \"Matan Agency\",\n                \"phonenumber\": \"1234567\",\n                \"addphonenumber\": \"\",\n                \"contact\": \"Matan\",\n                \"addcontact\": \"\",\n                \"address1\": \"TLV\",\n                \"address2\": \"\",\n                \"zipcode\": \"\",\n                \"city\": \"TLV\",\n                \"bookinglimit\": 9999999,\n                \"defaultcurrency\": \"USD\",\n                \"createddate\": \"2017-09-03\",\n                \"agentgroup\": \"\",\n                \"deposit\": [\n                    {\n                        \"currency\": \"USD\",\n                        \"amount\": \"104314.4300\"\n                    }\n                ]\n            },\n            {\n                \"agencyemail\": \"matan@aerocrs.com\",\n                \"agencyname\": \"Reproduce-afrijet\",\n                \"phonenumber\": \"1234567\",\n                \"addphonenumber\": \"\",\n                \"contact\": \"Matan\",\n                \"addcontact\": \"\",\n                \"address1\": \"TLV\",\n                \"address2\": \"\",\n                \"zipcode\": \"\",\n                \"city\": \"Port-gentil\",\n                \"bookinglimit\": 20000000,\n                \"defaultcurrency\": \"USD\",\n                \"createddate\": \"2017-09-25\",\n                \"agentgroup\": \"\",\n                \"deposit\": []\n            },\n            {\n                \"agencyemail\": \"matan@aerocrs.com\",\n                \"agencyname\": \"EverWinter\",\n                \"phonenumber\": \"1234567\",\n                \"addphonenumber\": \"\",\n                \"contact\": \"Matan\",\n                \"addcontact\": \"\",\n                \"address1\": \"TLV\",\n                \"address2\": \"\",\n                \"zipcode\": \"\",\n                \"city\": \"TLV\",\n                \"bookinglimit\": 99999999,\n                \"defaultcurrency\": \"USD\",\n                \"createddate\": \"2020-04-13\",\n                \"agentgroup\": \"\",\n                \"deposit\": [\n                    {\n                        \"currency\": \"KWD\",\n                        \"amount\": \"7900.0000\"\n                    }\n                ]\n            }\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "agencies": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "agencyemail": {
                                "type": "string",
                                "example": "matan@aerocrs.com"
                              },
                              "agencyname": {
                                "type": "string",
                                "example": "Matan Agency"
                              },
                              "phonenumber": {
                                "type": "string",
                                "example": "1234567"
                              },
                              "addphonenumber": {
                                "type": "string",
                                "example": ""
                              },
                              "contact": {
                                "type": "string",
                                "example": "Matan"
                              },
                              "addcontact": {
                                "type": "string",
                                "example": ""
                              },
                              "address1": {
                                "type": "string",
                                "example": "TLV"
                              },
                              "address2": {
                                "type": "string",
                                "example": ""
                              },
                              "zipcode": {
                                "type": "string",
                                "example": ""
                              },
                              "city": {
                                "type": "string",
                                "example": "TLV"
                              },
                              "bookinglimit": {
                                "type": "integer",
                                "example": 9999999,
                                "default": 0
                              },
                              "defaultcurrency": {
                                "type": "string",
                                "example": "USD"
                              },
                              "createddate": {
                                "type": "string",
                                "example": "2017-09-03"
                              },
                              "agentgroup": {
                                "type": "string",
                                "example": ""
                              },
                              "deposit": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "currency": {
                                      "type": "string",
                                      "example": "USD"
                                    },
                                    "amount": {
                                      "type": "string",
                                      "example": "104314.4300"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```